# RPM specfile for ScalableGorilla module
# Generated Fri Mar 29 19:05:53 2002 GMT by Ximian build system
# $Id: bb_do,v 1.182 2002/03/26 20:35:26 dave Exp $
# from $Id: ximian-build.conf,v 1.4 2002/03/29 19:02:08 frb Exp $

%define nam	ScalableGorilla
%define ver	0.4.2
%define ximrev	1

Name:     	ScalableGorilla
Version: 	0.4.2
Release:	1.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.1 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
BuildArch:      noarch
URL:		http://ximian.com/
Source0:	nautilus-ScalableGorilla-0.4.2.tar.gz
Summary:	Gorilla Nautilus theme
Group:		User Interface/Desktop
Provides:	ximian-ScalableGorilla = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
This package provides the Gorilla theme for Nautilus. It uses SVG files to create perfectly scaled icons. If this is slow on your machine, you may investigate the UnscalableGorilla theme which uses static images.

%files
%defattr(-, root, root)
%doc README
/usr/share/pixmaps/nautilus/ScalableGorilla


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n ScalableGorilla
    ;;
all)
%setup  -q -n ScalableGorilla
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    true
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    true
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    mkdir -p ${DESTDIR}/usr/share/pixmaps/nautilus/ScalableGorilla; cp -r * ${DESTDIR}/usr/share/pixmaps/nautilus/ScalableGorilla
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Fri Mar 29 2002 Ximian, Inc.

- Version: 0.4.2-1.ximian.1
- Summary: New build.
- New automated build.

* Thu Mar 28 2002 Ximian, Inc.

- Version: 0.4-1.ximian.1
- Summary: New build.
- New automated build.

